Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP

Loading…

Heroku Toolbelt messed up git #324

Closed
acsinfo opened this Issue · 5 comments

3 participants

@acsinfo

After installing Heroku Toolbelt on my Mac running 10.5.8 I'm not able to access git anymore.
When I run git I get:

dyld: unknown required load command 0x80000022
Trace/BPT trap

Is there any way to solve this issue?
Or uninstalling Heroku Toolbelt ? Right now the ability to use git is much more important to me than to be able to deploy on heroku.

Thanks

@technomancy

Thanks for the heads-up. I'll look into ensuring this works on Leopard; in the mean time try this older version of the git installer: http://code.google.com/p/git-osx-installer/downloads/detail?name=git-1.7.5.4-x86_64-leopard.dmg&can=2

@technomancy

Does your machine have a 64-bit CPU?

@acsinfo

Thanks for your help.
Reinstalling the older version you suggested solved the issue. Now git seems to work properly.

My Mac has a Intel Core 2 Duo so yes, it has a 64-bit CPU.

Thanks again

@muskmelon

I had exactly the same issue. Solved after reinstalling the older version.
Thanks for the help!

My mac is Intel Core 2 Duo too.

@technomancy

Tracking this on the toolbelt: heroku/toolbelt#19

@technomancy technomancy closed this
@technomancy technomancy referenced this issue in heroku/toolbelt
Open

Git installer breaks on Leopard #19

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Something went wrong with that request. Please try again.